Subject: Re: bug#45277: D-Bus crashes and DND errors

From: Juri Linkov <[email-masked]>
Date: Mon, 28 Dec 2020 20:19:45 +0200

>> Maybe making bootstrap after every pull from master will solve these problems?
>
> That would be too drastic. I have the impression, that the enum
> event_kind (termhooks.h) is not in sync with its usage here and
> there. When this file is changed, all *.c files (or at least all *.c
> files using this) shall be recompiled.

This is what I suspected too, but I see nothing wrong.

> In your local git checkout, what are the timestamps of termhooks.h,
> dbusbind.c and dbusbind.o?

The timestamp of termhooks.h is the same as when BUFFER_SWITCH_EVENT
was removed 2020-12-12.  But the timestamp of dbusbind.c and dbusbind.o
is the same 2020-12-28.  All .o files are also 2020-12-28.